Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::RectangleF Class Reference

実数矩形 More...

`#include <RectangleF.h>`

List of all members.

## Public Member Functions
| RectangleF ()
| コンストラクタ
| RectangleF (float sourceX, float sourceY, float sourceWidth, float sourceHeight)
| コンストラクタ
| RectangleF (float sourceArray[4])
| コンストラクタ
| RectangleF (const RectangleI &source)
| コンストラクタ
void | set (float sourceX, float sourceY, float sourceWidth, float sourceHeight)
| 値の設定
void | set (float sourceArray[4])
| 値の設定
void | set (const RectangleI &source)
| 値の設定
bool | operator== (const RectangleF &target) const
| 同じ値かどうか
bool | epsilonEquals (const RectangleF &target, float epsilon) const
| 同じ値かどうか
bool | operator!= (const RectangleF &target) const
| 同じ値でないかどうか
bool | notEpsilonEquals (const RectangleF &target, float epsilon) const
| 同じ値でないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const RectangleF | zero
| ゼロ矩形
const RectangleF | unit
| 単位矩形

## Detailed Description

実数矩形

このクラスは継承しないで下さい。

Definition at line 38 of file RectangleF.h.

## Constructor & Destructor Documentation

Lamp::RectangleF::RectangleF | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 78 of file RectangleF.h.

Lamp::RectangleF::RectangleF | ( | float | sourceX,
|  | float | sourceY,
|  | float | sourceWidth,
|  | float | sourceHeight
| ) | `[inline]`

  | コンストラクタ Parameters:
  sourceX | X値の初期値
  sourceY | Y値の初期値
  sourceWidth | 幅の初期値
  sourceHeight | 高さの初期値
Definition at line 87 of file RectangleF.h. References height, width, x, and y.

Lamp::RectangleF::RectangleF | ( | float | sourceArray[4] | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  sourceArray | 初期値配列
Definition at line 95 of file RectangleF.h. References height, width, x, and y.

Lamp::RectangleF::RectangleF | ( | const RectangleI & | source | ) | `[explicit]`

  | コンストラクタ Parameters:
  source | 設定する矩形
Definition at line 42 of file RectangleF.cpp. References Lamp::RectangleI::height, height, Lamp::RectangleI::width, width, Lamp::RectangleI::x, x, Lamp::RectangleI::y, and y.

## Member Function Documentation

bool Lamp::RectangleF::epsilonEquals | ( | const RectangleF & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 同じ値かどうか Parameters:
  target | 比較する矩形
  epsilon | 誤差
Returns: 誤差の範囲内で同じ値であればtrueを返す Definition at line 159 of file RectangleF.h. References Assert, height, width, x, and y.

bool Lamp::RectangleF::notEpsilonEquals | ( | const RectangleF & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 同じ値でないかどうか Parameters:
  target | 比較する矩形
  epsilon | 誤差
Returns: 誤差の範囲内で同じでない値であればtrueを返す Definition at line 184 of file RectangleF.h. References Assert, height, width, x, and y.

bool Lamp::RectangleF::operator!= | ( | const RectangleF & | target | ) | const`[inline]`

  | 同じ値でないかどうか Parameters:
  target | 比較する矩形
Returns: 同じ値でなければtrueを返す Definition at line 173 of file RectangleF.h. References height, width, x, and y.

bool Lamp::RectangleF::operator== | ( | const RectangleF & | target | ) | const`[inline]`

  | 同じ値かどうか Parameters:
  target | 比較する矩形
Returns: 同じ値であればtrueを返す Definition at line 148 of file RectangleF.h. References height, width, x, and y.

void Lamp::RectangleF::set | ( | const RectangleI & | source | ) |

  | 値の設定 Parameters:
  source | 設定する矩形
Definition at line 50 of file RectangleF.cpp. References Lamp::RectangleI::height, height, Lamp::RectangleI::width, width, Lamp::RectangleI::x, x, Lamp::RectangleI::y, and y.

void Lamp::RectangleF::set | ( | float | sourceArray[4] | ) | `[inline]`

  | 値の設定 Parameters:
  sourceArray | 設定値配列
Definition at line 127 of file RectangleF.h. References height, width, x, and y.

void Lamp::RectangleF::set | ( | float | sourceX,
|  | float | sourceY,
|  | float | sourceWidth,
|  | float | sourceHeight
| ) | `[inline]`

  | 値の設定 Parameters:
  sourceX | X値の設定値
  sourceY | Y値の設定値
  sourceWidth | 幅の設定値
  sourceHeight | 高さの設定値
Definition at line 115 of file RectangleF.h. References height, width, x, and y. Referenced by Lamp::Sprite::setImageRectangle(), and Lamp::Sprite::setRectangle().

String Lamp::RectangleF::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 矩形の文字列表記 Definition at line 201 of file RectangleF.h. References Lamp::String::format(), height, width, x, and y.

The documentation for this class was generated from the following files:

- RectangleF.h
- RectangleF.cpp